Conversations
List conversations
GET
/openai/v1/conversationsReturns the conversations available in the current project.
Query ParametersHeader Parameters
limitintegeroptionaldefault: 20
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the
default is 20.orderstringoptional
Sort order by the `created_at` timestamp of the objects. `asc` for ascending order and`desc`
for descending order.ascdesc
afterstringoptional
A cursor for use in pagination. `after` is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.beforestringoptional
A cursor for use in pagination. `before` is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.agent_namestringoptional
Filter by agent name. If provided, only items associated with the specified agent will be returned.agent_idstringoptional
Filter by agent ID in the format `name:version`. If provided, only items associated with the specified agent ID will be returned.x-ms-user-isolation-keystringoptional
Opaque per-user isolation key used to scope endpoint-scoped data (responses, conversations, sessions) to a specific end user.Responses
dataOpenAI.ConversationResource[]required
The requested list of items.idstringrequired
The unique ID of the conversation.objectenumrequired
The object type, which is always `conversation`.conversation
metadataOpenAI.Metadatarequired
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.created_atintegerrequired
The time at which the conversation was created, measured in seconds since the Unix epoch.first_idstring
The first ID represented in this list.last_idstring
The last ID represented in this list.has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.